---
url: >-
  https://game-engine-io.github.io/enginex-frontend-sdk/reference/api/@getenginex/sdk/interfaces/Transaction.md
---
[Reference](../../../index.md) / [@getenginex/sdk](../index.md) / Transaction

# Transaction

Statement transaction (`GET /wallet/transactions`).

## Properties

### amount

> **amount**: `number`

Amount in minor units of `currency`, as the wallet service recorded it.

***

### createdAt

> **createdAt**: `string`

Transaction date, ISO 8601 (UTC).

***

### currency

> **currency**: `string`

Currency code, e.g. `BRL`.

***

### currencyDecimalPlaces

> **currencyDecimalPlaces**: `number`

Decimal places of the currency (e.g. `2` for BRL), to format `amount`.

***

### description

> **description**: `string`

Free-form description; may come empty.

***

### id

> **id**: `string`

Transaction id.

***

### referenceId

> **referenceId**: `string`

Id of the source entity; may come empty.

***

### referenceType

> **referenceType**: `string`

Type of the source entity (e.g. casino round, deposit); may come empty.

***

### status

> **status**: [`TransactionStatus`](../type-aliases/TransactionStatus.md)

Status, e.g. `completed`.

***

### type

> **type**: [`TransactionType`](../type-aliases/TransactionType.md)

Type, e.g. `deposit`, `casino_bet`.
